FREECIV(6)

NAME
freeciv-gtk2, freeciv-sdl, freeciv-xaw, freeciv-win32, freeciv-ftwl, - The clients for the Freeciv game

SYNOPSIS
freeciv-gtk2|freeciv-sdl|freeciv-xaw|freeciv-win32|freeciv-ftwl [ -a|--autoconnect ] [ -d|--debug level_number ] [ -h|--help ] [ -l|--log filename ] [ -M|--Meta URL ] [ -n|--name string ] [ -p|--port port ] [ -P|--Plugin string ] [ -r|--read filename ] [ -s|--server address ] [ -S|--Sound filename ] [ -t|--tiles string ] [ -v|--version ] [ -- extra parameters ] IPv6 aware clients have additional parameter: [ -A|--announce protocol ] freeciv-gtk2 accepts extra parameters following --: [ -h|--help ] freeciv-sdl accepts extra parameters following --: [ -e|--eventthread ] [ -f|--fullscreen ] [ -h|--help ] [ -t|--theme string ] freeciv-xaw accepts extra parameters following --: [ -h|--help ] freeciv-ftwl accepts extra parameters following --: [ -d|--dump ] [ -f|--fullscreen ] [ -h|--help ] [ -r|--res resolution ] [ -t|--theme string ]

DESCRIPTION
Freeciv is a free turn-based multiplayer strategy game, in which each player becomes the leader of a civilization, fighting to obtain the ultimate goal: To become the greatest civilization. Players of Civilization II® by Microprose® should feel at home, since one aim of Freeciv is to have compatible rules. Freeciv is maintained by an international team of coders and enthusiasts, and is easily one of the most fun and addictive network games out there! This is the client program used to connect to a Freeciv server - See also freeciv-server(6) This manual page only lists the command line arguments. For details regarding the options when using freeciv-gtk2 freeciv-sdl freeciv-xaw freeciv-win32 or freeciv-ftwl see the Client Manual which can be found at http://www.freeciv.org/ as well as the documentation which is part of the Freeciv distribution.

OPTIONS
All the Freeciv clients accept of the standard X Toolkit command line options along with the additional options listed below. Those may not be combined; that is, "-np caesar 5557" will not work, instead you
 would need to enter "-n caesar -p 5557". All options have a short form (single hyphen and single letter) and a long form (double hyphen and a complete word); their effects are identical.

-A, --announce protocol
    Uses protocol when searching game from LAN. Possible values for protocol are: IPv4 IPv6 none

-a, --autoconnect
    Skips the connect dialog, automatically inserting the default values. This is quite convenient when all has been set up properly.

-d level_number, --debug level_number
    Sets the amount of debugging information to be logged in the file named by the -l option. Acceptable values for the level_number are: 0 for fatal messages only. 1 for fatal and error messages. 2 for fatal, error and normal messages. 3 for fatal, error, normal, and verbose messages.

-h, --help
    Prints a short summary of the command line options.

-l filename, --log filename
    Defines a log file, filename, to be produced during processing. Use the -d option to set how much is logged. By default, fatal and normal messages are printed to standard output. With a log file, such messages go to the log instead.

-M URL, --Meta URL
    Specifies the URL of the metaserver to connect to. A metaserver is a place where Freeciv servers can publish their presence. Freeciv clients consult the metaserver to offer users a selection of games to join. By default the standard Freeciv metaserver is used.

-n string, --name string
    Specifies the name (string) to play under. This option is critical when reconnecting to a game. Please note that you might need to quote your playername.

-p port, --port port
    Specifies the server port to connect to. By default this is 5556, if in doubt ask the server administrator.

-P string, --Plugin string
    Specifies the plugin to use for sound output. Available options for string are: none sdl

-r filename, --read filename
    Specifies a file, filename, of server commands which the server will automatically read and process, as if you had typed them in at the server's prompt. (for spawned server only)

-s address, --server address
    Specifies the game server address to connect to. This server might easily run on the same machine as the client.

-S filename, --Sound filename
    Specifies the filename to read the sound tags from.

-t string, --tiles string
    Specifies the tiles to be used within the game by supplying the name (string) of the tilespec. See the FILES section below for tilespecs included with this distribution.

-v, --version
    Prints the version number and exits.

--  All parameters following this -- will be considered as a specific gui parameter. See below.

-- -d, -- --dump
    Enables screen dumper. Only available for the freeciv-ftwl client.

-- -e, -- --eventthread
    Initializes the event subsystem in other thread. Only available for the freeciv-sdl client under Linux or BeOS.

-- -f, -- --fullscreen
    Starts the client in full screen mode. Only implemented in the freeciv-sdl and freeciv-ftwl clients.

-- -h, -- --help
    Print the specific gui parameters help. Note it is not implemented in the freeciv-win32 client. freeciv-sdl and freeciv-ftwl clients.

-- -r resolution, -- --res resolution
    Uses the given resolution. Note it is not implemented in the freeciv-win32 client. freeciv-sdl and freeciv-ftwl clients.

-- -t string, -- --theme string
    Uses GUI theme string. Only available for the freeciv-ftwl client.

EXAMPLES

freeciv-gtk2 --name King Richard --server io.daimi.aau.dk
    Starts the GTK2 client using the name King Richard and connecting to the server at io.daimi.aau.dk.

freeciv-sdl -a -t trident
    Starts the SDL client with the trident tiles and autoconnects to the localhost.

FILES

~/.freeciv-client-rc-[version-number]
    This is where your local settings will be stored.

tilespecs
    The Freeciv client requires several files in the Freeciv data directory, which is /usr/local/share/freeciv by default. Currently the following tilespecs can be used: • amplio.tilespec • hex2t.tilespec • isophex.tilespec • isotrident.tilespec • trident.tilespec

ENVIRONMENT
The Freeciv client accepts these environment variables:

FREECIV_CAPS
    A string containing a list of "capabilities" provided by the server. The compiled-in default should be correct for most purposes, but if you are familiar with the capability facility in the source you may use it to enforce some constraints between clients and server.

FREECIV_COMPRESSION_LEVEL
    Sets the compression level for network traffic.

FREECIV_DATA_ENCODING
    Sets the data encoding (used for data files, savegames, and network strings).

FREECIV_INTERNAL_ENCODING
    Sets the internal encoding (used for GUI strings).

FREECIV_LOCAL_ENCODING
    Sets the local encoding (used for terminal output).

FREECIV_MULTICAST_GROUP
    Sets the multicast group (for the LAN tab).

FREECIV_PATH
    A colon separated list of directories pointing to the freeciv data directory. By default freeciv looks in the following directories, in order, for any data files: the current directory; the "data" subdirectory of the current directory; the subdirectory ".freeciv" in the user's home directory; and the directory where the files are placed by running "make install".

HOME
    Specifies the user's home directory.

http_proxy
    Set this variable accordingly when using a proxy.

LANG  or  LANGUAGE
    Sets the language and locale on some platforms.

LC_ALL  or  LC_CTYPE
    Similar to LANG (see documentation for your system).

USER
    Specifies the username of the current user.

BUGS
Please report bugs to http://bugs.freeciv.org/ .

MORE INFO
The Freeciv homepage is located at http://www.freeciv.org/ . Updates and new info is first posted there.

AUTHORS
The Freeciv Team <freeciv-dev AT freeciv.org>. This manpage was originally put together by Florian Ernst <florian_ernst AT gmx.net> using the Client Manual and the comments in the sourcecode. It was updated by Ben Bettin <bwbettin AT gmail.com> to add new features, integrate information from the website's online documentation, and for slight formatting adjustments. Feel free to use it as you wish.

SEE ALSO
freeciv-server(6) and the Client Manual at the Freeciv homepage.